<?php
// phpXMLDOM - an XML DOM Implementation
//
// This Software and all associated files are released unter the 
// GNU Public License (GPL), see LICENSE for details.
//
// $Id: DOMException.php,v 1.3 2002/02/13 21:21:47 thomi Exp $

/**
 * Because PHP4 doesn't support exceptions, only the ExceptionCodes are 
 * defined. The Functions which normally would like to raise a exception, 
 * returns one of this ExceptionCodes.
 * Currently not all ExceptionsCodes are used, only NOT_SUPPORTED_ERR is
 * really often returned. ;=)
 */

/**
 * If index or size is negative, or greater than the allowed value.<br>
 * DOM-Level 1
 *
 * @const INDEX_SIZE_ERR
 */
define("INDEX_SIZE_ERR", 1);

/**
 * If the specified range of text does not fit into a DOMString.<br>
 * DOM-Level 1
 *
 * @const DOMSTRING_SIZE_ERR
 */
define("DOMSTRING_SIZE_ERR", 2);

/**
 * If any node is inserted somewhere it doesn't belong.<br>
 * DOM-Level 1
 *
 * @const HIERARCHY_REQUEST_ERR
 */
define("HIERARCHY_REQUEST_ERR", 3);

/**
 * If a node is used in a different document than the one 
 * that created it (that doesn't support it).<br>
 * DOM-Level 1
 *
 * @const WRONG_DOCUMENT_ERR
 */
define("WRONG_DOCUMENT_ERR", 4);

/**
 * If an invalid or illegal character is specified, such as in a name. <br>
 * DOM-Level 1
 *
 * @const INVALID_CHARACTER_ERR
 */
define("INVALID_CHARACTER_ERR", 5);

/**
 * If data is specified for a node which does not support data.<br>
 * DOM-Level 1
 *
 * @const NO_DATA_ALLOWED_ERR
 */
define("NO_DATA_ALLOWED_ERR", 6);

/**
 * If an attempt is made to modify an object where modifications 
 * are not allowed.<br>
 * DOM-Level 1
 *
 * @const NO_MODIFICATION_ALLOWED_ERR
 */
define("NO_MODIFICATION_ALLOWED_ERR", 7);

/**
 * If an attempt is made to reference a node in a context where 
 * it does not exist.<br>
 * DOM-Level 1
 *
 * @const NOT_FOUND_ERR
 */
define("NOT_FOUND_ERR", 8);

/**
 * If the implementation does not support the requested type of object 
 * or operation.<br>
 * DOM-Level 1
 *
 * @const NOT_SUPPORTED_ERR
 */
define("NOT_SUPPORTED_ERR", 9);

/**
 * If an attempt is made to add an attribute that is already in 
 * use elsewhere.<br>
 * DOM-Level 1
 *
 * @const INUSE_ATTRIBUTE_ERR
 */
define("INUSE_ATTRIBUTE_ERR", 10);

/**
 * If an attempt is made to use an object that is not, or is no 
 * longer, usable.<br>
 * DOM-Level 2
 *
 * @const INVALID_STATE_ERR
 */
define("INVALID_STATE_ERR", 11);

/**
 * If an invalid or illegal string is specified.<br>
 * DOM-Level 2
 *
 * @const SYNTAX_ERR
 */
define("SYNTAX_ERR", 12);

/**
 * If an attempt is made to modify the type of the underlying object.<br>
 * DOM-Level 2
 *
 * @const INVALID_MODIFICATION_ERR
 */
define("INVALID_MODIFICATION_ERR", 13);

/**
 * If an attempt is made to create or change an object in a way which 
 * is incorrect with regard to namespaces.<br>
 * DOM-Level 2
 *
 * @const NAMESPACE_ERR
 */
define("NAMESPACE_ERR", 14);

/**
 * If a parameter or an operation is not supported by the underlying 
 * object.<br>
 * DOM-Level 2
 *
 * @const INVALID_ACCESS_ERR
 */
define("INVALID_ACCESS_ERR", 15);
?>
