<?php
// phpXMLDOM - an XML DOM Implementation
//
// This Software and all associated files are released unter the 
// GNU Public License (GPL), see LICENSE for details.
//
// $Id: Entity.php,v 1.3 2002/02/13 21:21:47 thomi Exp $

/**
 * Class representing the DOM Entity interface. Not supported yet.
 *
 * @package  phpXD
 * @author   Thomas Dohmke <thomas@dohmke.de>
 * @version  $Revision: 1.3 $
 */
class Entity extends Node {
  /**
   * If the entity is unparsed, notationName is the entity's notation
   * name. For parsed entities , this attribute is null.<br> 
   * DOM-Level 1
   *
   * @private
   * @type    string
   */
  var $notationName = null;

  /**
   * Die public identifier URL (URI) for this entity.<br>
   * DOM-Level 1
   *
   * @private
   * @type    string
   */
  var $publicId;

  /**
   * Die system identifier URL (URI) for this entity.<br>
   * DOM-Level 1
   *
   * @private
   * @type    string
   */
  var $systemId;
  
  /**
   * Constructor of the class.
   *
   * @public
   */
  function Entity() {
    $this->Node();
    $this->nodeType = ENTITY_NODE;
  }

  /**
   * Returns the notation name of this entity if unparsed.
   *
   * @public
   * @return string
   */
  function getNotationName() {
    return $this->notationName;
  }

  /**
   * Returns the public identifier URL.
   *
   * @public
   * @return string
   */
  function getPublicId() {
    return $this->publicId;
  }

  /**
   * Returns the system identifier URL.
   *
   * @public
   * @return string
   */
  function getSystemId() {
    return $this->systemId;
  }
}
?>
