<?php
// phpXMLDOM - an XML DOM Implementation
//
// This Software and all associated files are released unter the 
// GNU Public License (GPL), see LICENSE for details.
//
// $Id: Notation.php,v 1.2 2002/02/13 21:21:47 thomi Exp $

/**
 * Class representing the DOM Notation interface.
 *
 * @package  phpXD
 * @author   Thomas Dohmke <thomas@dohmke.de>
 * @version  $Revision: 1.2 $
 */
class Notation extends Node {
  /**
   * Die public identifier URL (URI) for this notation.<br>
   * DOM-Level 1
   *
   * @private
   * @type    string
   */
  var $publicId;

  /**
   * Die system identifier URL (URI) for this notation.<br>
   * DOM-Level 1
   *
   * @private
   * @type    string
   */
  var $systemId;
  
  /**
   * Constructor of the class.
   *
   * @public
   */
  function Notation() {
    $this->Node();
    $this->nodeType = NOTATION_NODE;
  }

  /**
   * Returns the public identifier URL.
   *
   * @public
   * @return string
   */
  function getPublicId() {
    return $this->publicId;
  }

  /**
   * Returns the system identifier URL.
   *
   * @public
   * @return string
   */
  function getSystemId() {
    return $this->systemId;
  }
}
?>
