<?php
// phpXMLDOM - an XML DOM Implementation
//
// This Software and all associated files are released unter the 
// GNU Public License (GPL), see LICENSE for details.
//
// $Id: ProcessingInstruction.php,v 1.3 2002/02/13 21:21:47 thomi Exp $

/**
 * Class representing the DOM ProcessingInstruction interface.
 *
 * @package  phpXD
 * @author   Thomas Dohmke <thomas@dohmke.de>
 * @version  $Revision: 1.3 $
 */
class ProcessingInstruction extends Node {
  /**
   * The data portion of this PI.<br>
   * DOM-Level 1
   *
   * @private
   * @type    string
   */
  var $data;
  
  /**
   * The target portion of this PI.<br>
   * DOM-Level 1
   *
   * @private
   * @type    string
   */
  var $target;
  
  /**
   * Constructor of the class.<br>
   *
   * @public
   * @returns void
   */
  function ProcessingInstruction() {
    Node::Node();
    $this->nodeType = PROCESSING_INSTRUCTION_NODE;
    $this->target =& $this->nodeName;
    $this->data =& $this->nodeValue;
  }
  
  /**
   * Returns the data portion of this PI.<br>
   * DOM-Level 1
   *
   * @public
   * @returns string
   */
  function getData() {
    return $this->data;
  }
  
  /**
   * Sets the data portion of this PI.<br>
   * DOM-Level 1
   *
   * @public
   * @param   $data <code>string</code>
   * @returns string
   */
  function setData($data) {
    $this->nodeValue = $data;
  }
  
  /**
   * Returns the target of this PI.<br>
   * DOM-Level 1
   *
   * @public
   * @returns string
   */
  function getTarget() {
    return $this->nodeName;
  }
}
?>
