<?php
// phpXMLDOM - an XML DOM Implementation
//
// This Software and all associated files are released unter the 
// GNU Public License (GPL), see LICENSE for details.
//
// $Id: Text.php,v 1.3 2002/02/13 21:21:47 thomi Exp $

/**
 * Class representing the DOM Text interface
 *
 * @package  phpXD
 * @author   Thomas Dohmke <thomas@dohmke.de>
 * @version  $Revision: 1.3 $
 */
class Text extends CharacterData {
  /**
   * Constructor of the class.
   *
   * @public
   */
  function Text() {
    CharacterData::CharacterData();
    $this->nodeName = "#text";
    $this->nodeType = TEXT_NODE;
  }
        
  /**
   * Splits a Text node into two adjacent Text nodes.<br>
   * DOM-Level 1
   *
   * @public
   * @type    $offest <code>int</code>
   * @returns Text
   */
  function &splitText($offset) {
    $new = new Text();
    $new->nodeValue = $this->substring($offset, $this->getLength());;
    $this->nodeValue = $this->substring(0, $offset);;
    $new->ownerDocument = &$this->ownerDocument;
    $new->previousSibling =& $this;
    if (isset($this->parentNode))
      {
        if ($this->parentNode->lastChild->nodeID == $this->nodeID)
          {
            $this->parentNode->lastChild =& $new;
          }
      }
    $new->nextSibling =& $this->nextSibling;
    $this->nextSibling =& $new;
    return $new;
  }
}
?>
