<?php
// phpXMLDOM - an XML DOM Implementation
//
// This Software and all associated files are released unter the 
// GNU Public License (GPL), see LICENSE for details.
//
// $Id: DTDAttribute.php,v 1.2 2002/02/13 21:21:48 thomi Exp $

// EXPERIMENTAL. Interface could change later.

/**
 * Interface to represent attribute definitions in the DTD.
 *
 * @package phpXD
 * @author  Thomas Dohmke <thomas@dohmke.de>
 * @version $Revision: 1.2 $
 */
class DTDAttribute {
  /**
   * The name of the attribute.
   *
   * @private
   * @type    string
   */
  var $nodeName;

  /**
   * The type of the attribute, could be: "CDATA", "NMTOKEN", "NMTOKENS",
   * "ID", "IDREF", "IDREFS", "ENTITY", "ENTITIES", "NOTATION" and 
   * "ENUMERATION".
   *
   * @private
   * @type    string
   */
  var $type;

  /**
   * If type == "ENUMBERATION" $value is an array with all possible values.
   *
   * @private
   * @type    string
   */
  var $value;

  /**
   * "#IMPLIED", "#REQUIRED" or "#FIXED".
   *
   * @private
   * @type    string
   */
  var $default;

  /**
   * A default value if defined.
   *
   * @private
   * @type    string
   */
  var $defaultValue;

  /**
   * Constructor of the class.
   *
   * @private
   */
  function DTDAttribute($nodeName, $type) {
    $this->nodeName = $nodeName;
    $this->type = $type;
  }
}
?>