<?php
// phpXMLDOM - an XML DOM Implementation
//
// This Software and all associated files are released unter the 
// GNU Public License (GPL), see LICENSE for details.
//
// $Id: DTDElementChild.php,v 1.2 2002/02/13 21:21:48 thomi Exp $

// EXPERIMENTAL. Interface could change later.

/**
 * Interface to represent the definitions of element childs.
 *
 * @package phpXD
 * @author  Thomas Dohmke <thomas@dohmke.de>
 * @version $Revision: 1.2 $
 */
class DTDElementChild {
  /**
   * Child is ANY.
   *
   * @private
   * @type    boolean
   */
  var $any = false;

  /**
   * The number of this child, "*", "+" or "?".
   *
   * @private
   * @type    string
   */
  var $number = "";

  /**
   * Child is #PCDATA.
   * 
   * @private
   * @type    boolean
   */
  var $pcdata = false;

  /**
   * The name of the child.
   *
   * @private
   * @type    string
   */
  var $nodeName = "";

  /**
   * Constructor of the class.
   *
   * @param   $nodeName The name of this child element.
   * @param   $number   The number of this childen - "?", "*" or "+"
   * @param   $any      Element is ANY
   * @param   $pcdata   Element is #PCDATA
   * @private
   */
  function DTDElementChild($nodeName, $number, $any = false, $pcdata = false) {
    if ($any) {
      $this->any = true;
      return;
    }

    if ($pcdata) {
      $this->pcdata = true;
      return;
    }

    $this->nodeName = $nodeName;
    $this->setNumber($number);
  }

  /**
   * Sets the number of this child.
   *
   * @param  $number "*" or "+" or "?"
   * @private
   */
  function setNumber($number) {
    $this->number = $number;
  }

  /**
   * String representation for this object. For debugging only.
   *
   * @private
   * @returns string
   */
  function toString() {
    if ($this->any) {
      return "ANY";
    }
    if ($this->pcdata) {
      return "#PCDATA";
    }
    return $this->nodeName.$this->number;
  }
}
?>