<?php
// phpXMLDOM - an XML DOM Implementation
//
// This Software and all associated files are released unter the 
// GNU Public License (GPL), see LICENSE for details.
//
// $Id: DTDElementSequence.php,v 1.2 2002/02/13 21:21:48 thomi Exp $

// EXPERIMENTAL. Interface could change later.

/**
 * Interface to represent a sequence of element childs, i.e. (a , b , c), etc.
 *
 * @package phpXD
 * @author  Thomas Dohmke <thomas@dohmke.de>
 * @version $Revision: 1.2 $
 */
class DTDElementSequence extends NodeList {
  /**
   * The parent of this sequence or null.
   *
   * @private
   * @type    DTDElementChoice | DTDElementSequence
   */
  var $parent = null;

  /**
   * The number of this child, "*", "+" or "?".
   *
   * @private
   * @type    string
   */
  var $number = "";

  /**
   * Constructor of the class.
   *
   * @private
   */
  function DTDElementSequence() {
  }

  /**
   * Sets the number of this child.
   *
   * @param  $number "*" or "+" or "?"
   * @private
   */
  function setNumber($number) {
    $this->number = $number;
  }

  /**
   * String representation for this object. For debugging only.
   *
   * @private
   * @returns string
   */
  function toString() {
    $str = "(";
    $count = 0;
    for ($count = 0; $count < $this->length; ++$count) {
      $child =& $this->nodes[$count];
      if ($count != 0) {
	$str .= " , ";
      }
      $str .= $child->toString();
    }
    $str .= ")".$this->number;
    return $str;
  }
}
?>